# DaprProtos.GetMetadataResponse (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.GetMetadataResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprProtos.GetMetadataResponse

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.GetMetadataResponseOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

    public static final class DaprProtos.GetMetadataResponse
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprProtos.GetMetadataResponseOrBuilder

     GetMetadataResponse is a message that is returned on GetMetadata rpc call

Protobuf type `dapr.proto.runtime.v1.GetMetadataResponse`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprProtos.GetMetadataResponse.Builder` GetMetadataResponse is a message that is returned on GetMetadata rpc call

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `ACTIVE_ACTORS_COUNT_FIELD_NUMBER`
`static int` `APP_CONNECTION_PROPERTIES_FIELD_NUMBER`
`static int` `ENABLED_FEATURES_FIELD_NUMBER`
`static int` `EXTENDED_METADATA_FIELD_NUMBER`
`static int` `HTTP_ENDPOINTS_FIELD_NUMBER`
`static int` `ID_FIELD_NUMBER`
`static int` `REGISTERED_COMPONENTS_FIELD_NUMBER`
`static int` `RUNTIME_VERSION_FIELD_NUMBER`
`static int` `SUBSCRIPTIONS_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `containsExtendedMetadata​(String key)` `map<string, string> extended_metadata = 4 [json_name = "extended"];`
`boolean` `equals​(Object obj)`
`DaprProtos.ActiveActorsCount` `getActiveActorsCount​(int index)` `repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`
`int` `getActiveActorsCountCount()` `repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`
`List<DaprProtos.ActiveActorsCount>` `getActiveActorsCountList()` `repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`
`DaprProtos.ActiveActorsCountOrBuilder` `getActiveActorsCountOrBuilder​(int index)` `repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`
`List<? extends DaprProtos.ActiveActorsCountOrBuilder>` `getActiveActorsCountOrBuilderList()` `repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`
`DaprProtos.AppConnectionProperties` `getAppConnectionProperties()` `.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`
`DaprProtos.AppConnectionPropertiesOrBuilder` `getAppConnectionPropertiesOrBuilder()` `.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`
`static DaprProtos.GetMetadataResponse` `getDefaultInstance()`
`DaprProtos.GetMetadataResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`String` `getEnabledFeatures​(int index)` `repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`com.google.protobuf.ByteString` `getEnabledFeaturesBytes​(int index)` `repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`int` `getEnabledFeaturesCount()` `repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`com.google.protobuf.ProtocolStringList` `getEnabledFeaturesList()` `repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`Map<String,​String>` `getExtendedMetadata()` Deprecated.
`int` `getExtendedMetadataCount()` `map<string, string> extended_metadata = 4 [json_name = "extended"];`
`Map<String,​String>` `getExtendedMetadataMap()` `map<string, string> extended_metadata = 4 [json_name = "extended"];`
`String` `getExtendedMetadataOrDefault​(String key, String defaultValue)` `map<string, string> extended_metadata = 4 [json_name = "extended"];`
`String` `getExtendedMetadataOrThrow​(String key)` `map<string, string> extended_metadata = 4 [json_name = "extended"];`
`DaprProtos.MetadataHTTPEndpoint` `getHttpEndpoints​(int index)` `repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`int` `getHttpEndpointsCount()` `repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`List<DaprProtos.MetadataHTTPEndpoint>` `getHttpEndpointsList()` `repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`DaprProtos.MetadataHTTPEndpointOrBuilder` `getHttpEndpointsOrBuilder​(int index)` `repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`List<? extends DaprProtos.MetadataHTTPEndpointOrBuilder>` `getHttpEndpointsOrBuilderList()` `repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`String` `getId()` `string id = 1;`
`com.google.protobuf.ByteString` `getIdBytes()` `string id = 1;`
`com.google.protobuf.Parser<DaprProtos.GetMetadataResponse>` `getParserForType()`
`DaprProtos.RegisteredComponents` `getRegisteredComponents​(int index)` `repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`int` `getRegisteredComponentsCount()` `repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`List<DaprProtos.RegisteredComponents>` `getRegisteredComponentsList()` `repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`DaprProtos.RegisteredComponentsOrBuilder` `getRegisteredComponentsOrBuilder​(int index)` `repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`List<? extends DaprProtos.RegisteredComponentsOrBuilder>` `getRegisteredComponentsOrBuilderList()` `repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`String` `getRuntimeVersion()` `string runtime_version = 8 [json_name = "runtimeVersion"];`
`com.google.protobuf.ByteString` `getRuntimeVersionBytes()` `string runtime_version = 8 [json_name = "runtimeVersion"];`
`int` `getSerializedSize()`
`DaprProtos.PubsubSubscription` `getSubscriptions​(int index)` `repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`int` `getSubscriptionsCount()` `repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`List<DaprProtos.PubsubSubscription>` `getSubscriptionsList()` `repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`DaprProtos.PubsubSubscriptionOrBuilder` `getSubscriptionsOrBuilder​(int index)` `repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`List<? extends DaprProtos.PubsubSubscriptionOrBuilder>` `getSubscriptionsOrBuilderList()` `repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`boolean` `hasAppConnectionProperties()` `.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`boolean` `isInitialized()`
`static DaprProtos.GetMetadataResponse.Builder` `newBuilder()`
`static DaprProtos.GetMetadataResponse.Builder` `newBuilder​(DaprProtos.GetMetadataResponse prototype)`
`DaprProtos.GetMetadataResponse.Builder` `newBuilderForType()`
`protected DaprProtos.GetMetadataResponse.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.GetMetadataResponse` `parseDelimitedFrom​(InputStream input)`
`static DaprProtos.GetMetadataResponse` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetMetadataResponse` `parseFrom​(byte[] data)`
`static DaprProtos.GetMetadataResponse` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetMetadataResponse` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprProtos.GetMetadataResponse` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetMetadataResponse` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.GetMetadataResponse` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetMetadataResponse` `parseFrom​(InputStream input)`
`static DaprProtos.GetMetadataResponse` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetMetadataResponse` `parseFrom​(ByteBuffer data)`
`static DaprProtos.GetMetadataResponse` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.GetMetadataResponse>` `parser()`
`DaprProtos.GetMetadataResponse.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### ID_FIELD_NUMBER

    public static final int ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### ACTIVE_ACTORS_COUNT_FIELD_NUMBER

    public static final int ACTIVE_ACTORS_COUNT_FIELD_NUMBER

See Also:
  Constant Field Values

#### REGISTERED_COMPONENTS_FIELD_NUMBER

    public static final int REGISTERED_COMPONENTS_FIELD_NUMBER

See Also:
  Constant Field Values

#### EXTENDED_METADATA_FIELD_NUMBER

    public static final int EXTENDED_METADATA_FIELD_NUMBER

See Also:
  Constant Field Values

#### SUBSCRIPTIONS_FIELD_NUMBER

    public static final int SUBSCRIPTIONS_FIELD_NUMBER

See Also:
  Constant Field Values

#### HTTP_ENDPOINTS_FIELD_NUMBER

    public static final int HTTP_ENDPOINTS_FIELD_NUMBER

See Also:
  Constant Field Values

#### APP_CONNECTION_PROPERTIES_FIELD_NUMBER

    public static final int APP_CONNECTION_PROPERTIES_FIELD_NUMBER

See Also:
  Constant Field Values

#### RUNTIME_VERSION_FIELD_NUMBER

    public static final int RUNTIME_VERSION_FIELD_NUMBER

See Also:
  Constant Field Values

#### ENABLED_FEATURES_FIELD_NUMBER

    public static final int ENABLED_FEATURES_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getId

    public String getId()

`string id = 1;`

Specified by:
  `getId` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The id.

#### getIdBytes

    public com.google.protobuf.ByteString getIdBytes()

`string id = 1;`

Specified by:
  `getIdBytes` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The bytes for id.

#### getActiveActorsCountList

    public List<DaprProtos.ActiveActorsCount> getActiveActorsCountList()

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`

Specified by:
  `getActiveActorsCountList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getActiveActorsCountOrBuilderList

    public List<? extends DaprProtos.ActiveActorsCountOrBuilder> getActiveActorsCountOrBuilderList()

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`

Specified by:
  `getActiveActorsCountOrBuilderList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getActiveActorsCountCount

    public int getActiveActorsCountCount()

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`

Specified by:
  `getActiveActorsCountCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getActiveActorsCount

    public DaprProtos.ActiveActorsCount getActiveActorsCount​(int index)

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`

Specified by:
  `getActiveActorsCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getActiveActorsCountOrBuilder

    public DaprProtos.ActiveActorsCountOrBuilder getActiveActorsCountOrBuilder​(int index)

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`

Specified by:
  `getActiveActorsCountOrBuilder` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getRegisteredComponentsList

    public List<DaprProtos.RegisteredComponents> getRegisteredComponentsList()

`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

Specified by:
  `getRegisteredComponentsList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getRegisteredComponentsOrBuilderList

    public List<? extends DaprProtos.RegisteredComponentsOrBuilder> getRegisteredComponentsOrBuilderList()

`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

Specified by:
  `getRegisteredComponentsOrBuilderList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getRegisteredComponentsCount

    public int getRegisteredComponentsCount()

`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

Specified by:
  `getRegisteredComponentsCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getRegisteredComponents

    public DaprProtos.RegisteredComponents getRegisteredComponents​(int index)

`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

Specified by:
  `getRegisteredComponents` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getRegisteredComponentsOrBuilder

    public DaprProtos.RegisteredComponentsOrBuilder getRegisteredComponentsOrBuilder​(int index)

`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

Specified by:
  `getRegisteredComponentsOrBuilder` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getExtendedMetadataCount

    public int getExtendedMetadataCount()

Description copied from interface: `DaprProtos.GetMetadataResponseOrBuilder`
`map<string, string> extended_metadata = 4 [json_name = "extended"];`

Specified by:
  `getExtendedMetadataCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### containsExtendedMetadata

    public boolean containsExtendedMetadata​(String key)

`map<string, string> extended_metadata = 4 [json_name = "extended"];`

Specified by:
  `containsExtendedMetadata` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getExtendedMetadata

    @Deprecated
    public Map<String,​String> getExtendedMetadata()

Deprecated.
Use `getExtendedMetadataMap()` instead.

Specified by:
  `getExtendedMetadata` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getExtendedMetadataMap

    public Map<String,​String> getExtendedMetadataMap()

`map<string, string> extended_metadata = 4 [json_name = "extended"];`

Specified by:
  `getExtendedMetadataMap` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getExtendedMetadataOrDefault

    public String getExtendedMetadataOrDefault​(String key,
                                               String defaultValue)

`map<string, string> extended_metadata = 4 [json_name = "extended"];`

Specified by:
  `getExtendedMetadataOrDefault` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getExtendedMetadataOrThrow

    public String getExtendedMetadataOrThrow​(String key)

`map<string, string> extended_metadata = 4 [json_name = "extended"];`

Specified by:
  `getExtendedMetadataOrThrow` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getSubscriptionsList

    public List<DaprProtos.PubsubSubscription> getSubscriptionsList()

`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

Specified by:
  `getSubscriptionsList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getSubscriptionsOrBuilderList

    public List<? extends DaprProtos.PubsubSubscriptionOrBuilder> getSubscriptionsOrBuilderList()

`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

Specified by:
  `getSubscriptionsOrBuilderList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getSubscriptionsCount

    public int getSubscriptionsCount()

`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

Specified by:
  `getSubscriptionsCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getSubscriptions

    public DaprProtos.PubsubSubscription getSubscriptions​(int index)

`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

Specified by:
  `getSubscriptions` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getSubscriptionsOrBuilder

    public DaprProtos.PubsubSubscriptionOrBuilder getSubscriptionsOrBuilder​(int index)

`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

Specified by:
  `getSubscriptionsOrBuilder` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getHttpEndpointsList

    public List<DaprProtos.MetadataHTTPEndpoint> getHttpEndpointsList()

`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

Specified by:
  `getHttpEndpointsList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getHttpEndpointsOrBuilderList

    public List<? extends DaprProtos.MetadataHTTPEndpointOrBuilder> getHttpEndpointsOrBuilderList()

`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

Specified by:
  `getHttpEndpointsOrBuilderList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getHttpEndpointsCount

    public int getHttpEndpointsCount()

`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

Specified by:
  `getHttpEndpointsCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getHttpEndpoints

    public DaprProtos.MetadataHTTPEndpoint getHttpEndpoints​(int index)

`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

Specified by:
  `getHttpEndpoints` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getHttpEndpointsOrBuilder

    public DaprProtos.MetadataHTTPEndpointOrBuilder getHttpEndpointsOrBuilder​(int index)

`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

Specified by:
  `getHttpEndpointsOrBuilder` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### hasAppConnectionProperties

    public boolean hasAppConnectionProperties()

`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

Specified by:
  `hasAppConnectionProperties` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  Whether the appConnectionProperties field is set.

#### getAppConnectionProperties

    public DaprProtos.AppConnectionProperties getAppConnectionProperties()

`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

Specified by:
  `getAppConnectionProperties` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The appConnectionProperties.

#### getAppConnectionPropertiesOrBuilder

    public DaprProtos.AppConnectionPropertiesOrBuilder getAppConnectionPropertiesOrBuilder()

`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

Specified by:
  `getAppConnectionPropertiesOrBuilder` in interface `DaprProtos.GetMetadataResponseOrBuilder`

#### getRuntimeVersion

    public String getRuntimeVersion()

`string runtime_version = 8 [json_name = "runtimeVersion"];`

Specified by:
  `getRuntimeVersion` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The runtimeVersion.

#### getRuntimeVersionBytes

    public com.google.protobuf.ByteString getRuntimeVersionBytes()

`string runtime_version = 8 [json_name = "runtimeVersion"];`

Specified by:
  `getRuntimeVersionBytes` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The bytes for runtimeVersion.

#### getEnabledFeaturesList

    public com.google.protobuf.ProtocolStringList getEnabledFeaturesList()

`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Specified by:
  `getEnabledFeaturesList` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  A list containing the enabledFeatures.

#### getEnabledFeaturesCount

    public int getEnabledFeaturesCount()

`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Specified by:
  `getEnabledFeaturesCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The count of enabledFeatures.

#### getEnabledFeatures

    public String getEnabledFeatures​(int index)

`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Specified by:
  `getEnabledFeatures` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The enabledFeatures at the given index.

#### getEnabledFeaturesBytes

    public com.google.protobuf.ByteString getEnabledFeaturesBytes​(int index)

`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Specified by:
  `getEnabledFeaturesBytes` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the enabledFeatures at the given index.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprProtos.GetMetadataResponse parseFrom​(ByteBuffer data)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetMetadataResponse parseFrom​(ByteBuffer data,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetMetadataResponse parseFrom​(com.google.protobuf.ByteString data)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetMetadataResponse parseFrom​(com.google.protobuf.ByteString data,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetMetadataResponse parseFrom​(byte[] data)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetMetadataResponse parseFrom​(byte[] data,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetMetadataResponse parseFrom​(InputStream input)
                                                    throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.GetMetadataResponse parseFrom​(InputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.GetMetadataResponse parseDelimitedFrom​(InputStream input)
                                                             throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.GetMetadataResponse parseDelimitedFrom​(InputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.GetMetadataResponse parseFrom​(com.google.protobuf.CodedInputStream input)
                                                    throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.GetMetadataResponse parseFrom​(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprProtos.GetMetadataResponse.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprProtos.GetMetadataResponse.Builder newBuilder()

#### newBuilder

    public static DaprProtos.GetMetadataResponse.Builder newBuilder​(DaprProtos.GetMetadataResponse prototype)

#### toBuilder

    public DaprProtos.GetMetadataResponse.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprProtos.GetMetadataResponse.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprProtos.GetMetadataResponse getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprProtos.GetMetadataResponse> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprProtos.GetMetadataResponse> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprProtos.GetMetadataResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`